package com.kingdee.eas.custom.bill.salary;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PayPacketFactory
{
    private PayPacketFactory()
    {
    }
    public static com.kingdee.eas.custom.bill.salary.IPayPacket getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.IPayPacket)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("2676510E") ,com.kingdee.eas.custom.bill.salary.IPayPacket.class);
    }
    
    public static com.kingdee.eas.custom.bill.salary.IPayPacket getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.IPayPacket)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("2676510E") ,com.kingdee.eas.custom.bill.salary.IPayPacket.class, objectCtx);
    }
    public static com.kingdee.eas.custom.bill.salary.IPayPacket getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.IPayPacket)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("2676510E"));
    }
    public static com.kingdee.eas.custom.bill.salary.IPayPacket getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.bill.salary.IPayPacket)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("2676510E"));
    }
}